summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO13
-rwxr-xr-xLICENSE (renamed from license.txt)0
-rwxr-xr-xPKGBUILD24
-rwxr-xr-xvim-railscasts.install (renamed from vimdoc.install)0
4 files changed, 19 insertions, 18 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3f031768d3b..e787921b387 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,16 +1,15 @@
pkgbase = vim-railscasts
pkgdesc = railscasts color theme that works in 256color terminals as well as gui
- pkgver = 1.1
- pkgrel = 2
+ pkgver = 2.1
+ pkgrel = 1
url = http://www.vim.org/scripts/script.php?script_id=2175
- install = vimdoc.install
- arch = i686
- arch = x86_64
+ install = vim-railscasts.install
+ arch = any
groups = vim-plugins
license = custom
depends = vim
- source = vim-railscasts::http://www.vim.org/scripts/download_script.php?src_id=8379
- source = license.txt
+ source = railscasts.vim::http://www.vim.org/scripts/download_script.php?src_id=8379
+ source = LICENSE
md5sums = 262b9a7bd797b0c7cef344262e6a33ab
md5sums = efbd5986e691ce8c876fb86e8f5961ea
diff --git a/license.txt b/LICENSE
index 226f27b5356..226f27b5356 100755
--- a/license.txt
+++ b/LICENSE
diff --git a/PKGBUILD b/PKGBUILD
index e191dcf1170..20f71ffa7b8 100755
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,21 +1,23 @@
-# Maintainer: Laszlo Papp <djszapi2 at gmail com>
+# Maintainer: Marcin Wieczorek <marcin@marcin.co>
+# Contributor: Laszlo Papp <djszapi2 at gmail com>
+
pkgname=vim-railscasts
-pkgver=1.1
+pkgver=2.1
_scriptid=8379
-pkgrel=2
+pkgrel=1
pkgdesc="railscasts color theme that works in 256color terminals as well as gui"
-arch=(i686 x86_64)
+arch=('any')
url="http://www.vim.org/scripts/script.php?script_id=2175"
license=('custom')
-depends=(vim)
+depends=('vim')
groups=('vim-plugins')
-install=vimdoc.install
-source=(${pkgname}::http://www.vim.org/scripts/download_script.php?src_id=${_scriptid}
- license.txt)
+install="${pkgname}.install"
+source=("railscasts.vim::http://www.vim.org/scripts/download_script.php?src_id=${_scriptid}"
+ "LICENSE")
md5sums=('262b9a7bd797b0c7cef344262e6a33ab'
'efbd5986e691ce8c876fb86e8f5961ea')
-build() {
- install -Dm755 ${srcdir}/${pkgname} ${pkgdir}/usr/share/vim/colors/railscasts.vim || return 1
- install -Dm755 ${srcdir}/license.txt ${pkgdir}/usr/share/licenses/${pkgname}/license.txt
+package() {
+ install -Dm755 "${srcdir}/railscasts.vim" "${pkgdir}/usr/share/vim/colors/railscasts.vim" || return 1
+ install -Dm755 "${srcdir}/LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
}
diff --git a/vimdoc.install b/vim-railscasts.install
index 5246e5c2113..5246e5c2113 100755
--- a/vimdoc.install
+++ b/vim-railscasts.install